package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealPersonalStatusChangeRequest struct {
	PersonSealInfoRequest *common.PersonSealInfoRequest `json:"personSealInfoRequest"`
	// <ext>core:true</ext> 【印章状态变更方式】印章状态变更方式 【传参】 取值范围：enable （启用）
	Method       string                  `json:"method"`
	OperatorInfo *common.UserInfoRequest `json:"operatorInfo,omitempty"`
}

func (obj SealPersonalStatusChangeRequest) GetUrl() string {
	return "/seal/personal/status/change"
}

func (obj SealPersonalStatusChangeRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
